NXOpen.UF.ModlFeatures.AskCurveMesh1

ModlFeatures.AskCurveMesh1()

Refer to UF_MODL_ask_curve_mesh1 for documentation.

Signature: AskCurveMesh1(featureObjId)

Parameters:featureObjId (Tag) – Feature object identifier
Returns:A Tuple
Return type:A tuple consisting of (sPrim,sCross,sSpine,emphasis,bodyType,splinePts,tol,cCollectorId,cFlag)

sPrim(`NXOpen.UF.Modl.StringList Refer to string_list for documentation.`): Pointer to the string list structure, containing the section builder objects defining the primary curves used to create the feature. See structure section of manual for details. Use UF_MODL_free_string_list to deallocate memory.

sCross(`NXOpen.UF.Modl.StringList Refer to string_list for documentation.`): Pointer to the string list structure, containing the section builder objects defining the cross curves used to create the feature. See structure section of manual for details. Use UF_MODL_free_string_list to deallocate memory.

sSpine(`NXOpen.UF.Modl.StringList Refer to string_list for documentation.`): Pointer to the string list structure for the spine string. See structure section of manual for details. Use UF_MODL_free_string_list to deallocate memory.

emphasis(int): Emphasis flag 1 = Primary curves 2 = Cross curves 3 = Both

bodyType(int): Type of body: 0 = Sheet 1 = Solid

splinePts(int): Spline points flag: 0 = Do not reparameterize curves 1 = Reparameterize through spline points

tol(list of float): Tolerances: [0] = Distance [1] = Angle (in degrees) [2] = Intersection

cCollectorId(list of Tag): Collector containing the neighbor surfaces from which constraints are obtained [0] = first primary string [1] = last primary string [2] = first cross string [3] = last cross string No constraint is imposed on the corresponding string if id = NULL_TAG

cFlag(list of int): [0] = first primary string constraint type [1] = last primary string constraint type [2] = first cross string constraint type [3] = last cross string constraint type The constraint types are as follows: 0 = no constraint 1 = tangency constraint 2 = curvature constraint

License requirements: None